Package wx :: Package lib :: Module buttonpanel :: Class Separator

[frames | no frames]

## Type Separator

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
               Control --+
                         |
                        Separator

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``Draw`(self, dc, rect)` Draws the separator.
| ``GetBestSize`(self)` Returns the separator best size.

Property Summary

Method Details

### __init__(self, parent)
(Constructor)

Default class constructor.

  Overrides:
    `wx.lib.buttonpanel.Control.__init__`

### Draw(self, dc, rect)

Draws the separator. Actually the drawing is done in BPArt.

  Overrides:
    `wx.lib.buttonpanel.Control.Draw`

### GetBestSize(self)

Returns the separator best size.

  Overrides:
    `wx.lib.buttonpanel.Control.GetBestSize`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:38 2007 | http://epydoc.sf.net